#include <iostream>
#include <fstream>
#include <string>

#include "cgi.h"
#include "csv.h"

using namespace std;
using namespace csv_reader;

#define DATA_FILE "data.dat"

class AgentRegSvr {
   CGI form_data;
   string file_name;
public:
   AgentRegSvr(const string & file) 
   : file_name(file) {
   
   }
   ~AgentRegSvr() {
   }
   void run() {
      cout << "Content-type: text/html\r\n\r\n" << flush;
      char * me = form_data["me"];
      if(me) {
      }
      else {
      }
   }
};

int
main(int argc, char ** argv)
{
   try {
      AgentRegSvr regsvr(DATA_FILE);
      regsvr.run();
   }
   catch(...) {
      cerr << "unknown exception..." << endl;
      exit(1);
   }
   return 0;
}
